﻿// 選択された図形の中心線を描く
(function(){
    var offset = 10;
    if (app.documents.length < 1){ return; }
    var selObj = activeDocument.selection;
    for(var i=0; i<selObj.length; i++){
        var rect = selObj[i].geometricBounds;
        $.writeln(rect);
        var x1 = rect[0];
        var y1 = rect[1];
        var x2 = rect[2];
        var y2 = rect[3];
        var cx = x1 + (x2-x1)/2;
        var cy = y1 + (y2 - y1)/2;
        drawLine(cx, y1+offset, cx, y2-offset);
        drawLine(x1-offset, cy, x2+offset, cy);
    }
    // 線を描画
    function drawLine(sx,sy,ex,ey){
        var pObj = app.activeDocument.pathItems.add();
        pObj.setEntirePath([[sx, sy],[ex, ey]]);
        pObj.filled = false; //　塗りなし
        pObj.stroked = true; //　線あり
        pObj.strokeWidth = 1; //　線幅1ポイント
        pObj.strokeColor = setColor(255,0,0); //　線の色を指定（青色）
    }
    // カラーを設定
    function setColor(r, g, b){
        var tmpColor = new RGBColor();
        tmpColor.red = r;
        tmpColor.green = g;
        tmpColor.blue = b;
        return tmpColor;
    }
})();